## ocamlrss 2.2.1

=== Makefile ===
###############################################################################
#               OCamlrss                                                      #
#                                                                             #
#   Copyright (C) 2004-2013 Institut National de Recherche en Informatique    #
#   et en Automatique. All rights reserved.                                   #
#                                                                             #
#   This program is free software; you can redistribute it and/or modify      #
#   it under the terms of the GNU Lesser General Public License version       #
#   3 as published by the Free Software Foundation.                           #
#                                                                             #
#   This program is distributed in the hope that it will be useful,           #
#   but WITHOUT ANY WARRANTY; without even the implied warranty of            #
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             #
#   GNU Library General Public License for more details.                      #
#                                                                             #
#   You should have received a copy of the GNU Library General Public         #
#   License along with this program; if not, write to the Free Software       #
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA                  #
#   02111-1307  USA                                                           #
#                                                                             #
#   Contact: Maxence.Guesdon@inria.fr                                         #
#                                                                             #
#                                                                             #
###############################################################################

# do not forget to update META file too
VERSION=2.2.1

# do not forget to update META file too
PACKAGES=xmlm,netstring

OF_FLAGS=-package $(PACKAGES)
OCAMLFIND=ocamlfind
OCAML_COMPFLAGS= -annot
OCAMLC=$(OCAMLFIND) ocamlc $(OF_FLAGS) $(OCAML_COMPFLAGS)
OCAMLOPT=$(OCAMLFIND) ocamlopt $(OF_FLAGS) $(OCAML_COMFLAGS)
OCAMLDOC=$(OCAMLFIND) ocamldoc $(OF_FLAGS)
OCAMLDEP=ocamldep

all: byte opt
byte: rss.cma
opt: rss.cmxa rss.cmxs

CMOFILES= \
	rss_types.cmo \
	rss_io.cmo \
	rss.cmo

CMXFILES=$(CMOFILES:.cmo=.cmx)
CMIFILES=$(CMOFILES:.cmo=.cmi)

rss.cma: $(CMIFILES) $(CMOFILES)
	$(OCAMLC) -o $@ -a $(CMOFILES)

rss.cmxa: $(CMIFILES) $(CMXFILES)
	$(OCAMLOPT) -o $@ -a $(CMXFILES)

.PHONY: doc depend

doc: all
	mkdir -p html
	$(OCAMLDOC) -d html -html rss.mli

webdoc: doc
	mkdir -p ../ocamlrss-gh-pages/refdoc
	cp html/* ../ocamlrss-gh-pages/refdoc/
	cp web/index.html web/style.css ../ocamlrss-gh-pages/

.depend depend:
	$(OCAMLDEP) rss*.ml rss*.mli > .depend

rsstest: rss.cmxa rsstest.ml
	$(OCAMLOPT) -linkpkg -o $@ $(OCAML_COMPFLAGS) $^

test: rsstest
	@./rsstest test.rss > t.rss
	@./rsstest t.rss > t2.rss
	@((diff t.rss t2.rss && echo OK) || echo "t.rss and t2.rss differ")

# installation :
################
install:
	$(OCAMLFIND) install rss META LICENSE $(wildcard rss.cmi rss.cma rss.cmxa rss.a rss.cmxs rss.mli rss.cmx)

uninstall:
	ocamlfind remove rss

# archive :
###########
archive:
	git archive --prefix=ocamlrss-$(VERSION)/ HEAD | gzip > ../ocamlrss-gh-pages/ocamlrss-$(VERSION).tar.gz

# Cleaning :
############
clean:
	-$(RM) *.cm* *.a *.annot *.o
	-$(RM) -r html
	-$(RM) rsstest t2.rss t.rss

# headers :
###########
HEADFILES=Makefile *.ml *.mli
.PHONY: headers noheaders
headers:
	headache -h header -c .headache_config $(HEADFILES)

noheaders:
	headache -r -c .headache_config $(HEADFILES)

# generic rules :
#################
.SUFFIXES: .mli .ml .cmi .cmo .cmx .mll .mly .sch .html .mail

%.cmi:%.mli
	$(OCAMLC) -c $(OCAML_COMPFLAGS) $<

%.cmo:%.ml
	$(OCAMLC) -c $(OCAML_COMPFLAGS) $<

%.cmi %.cmo:%.ml
	$(OCAMLC) -c $(OCAML_COMPFLAGS) $<

%.cmx %.o:%.ml
	$(OCAMLOPT) -c $(OCAML_COMPFLAGS) $<

%.cmxs: %.cmxa
	$(OCAMLOPT) -I . -shared -linkall -o $@ $<

include .depend

=== debian/changelog ===
ocamlrss (2.2.1-3build16) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:33:05 +0000

ocamlrss (2.2.1-3build15) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Aug 2019 19:03:17 +0200

ocamlrss (2.2.1-3build14) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 13 Aug 2019 08:30:20 +0200

ocamlrss (2.2.1-3build13) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 Aug 2019 14:52:09 +0200

ocamlrss (2.2.1-3build12) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 24 Jul 2019 23:28:28 +0200

ocamlrss (2.2.1-3build11) cosmic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Jun 2018 12:52:53 +0200

ocamlrss (2.2.1-3build10) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 16:40:57 +0200

ocamlrss (2.2.1-3build9) artful; urgency=high

  * No change rebuild against new ocaml abis.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 31 Aug 2017 02:11:24 +0100

ocamlrss (2.2.1-3build8) artful; urgency=high

  * No change rebuild against ocamlnet.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 10 Jul 2017 14:13:31 +0100

ocamlrss (2.2.1-3build7) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Jul 2017 01:29:45 +0100

ocamlrss (2.2.1-3build6) zesty; urgency=medium

  * Rebuild against new OCaml ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Dec 2016 20:34:18 +0100

ocamlrss (2.2.1-3build5) yakkety; urgency=medium

  * No-change rebuild for ocaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 02 Sep 2016 12:11:00 +0000

ocamlrss (2.2.1-3build4) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Wed, 04 Nov 2015 21:40:48 -0600

ocamlrss (2.2.1-3build3) wily; urgency=medium

  * No-change ocaml rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 01 Sep 2015 11:57:15 +0000

ocamlrss (2.2.1-3build2) utopic; urgency=medium

  * Rebuild for new OCaml ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 22 May 2014 14:59:39 +0100

ocamlrss (2.2.1-3build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 22:02:08 +0000

ocamlrss (2.2.1-3) unstable; urgency=medium

  * Really fix FTBFS on bytecode architectures (Closes: #731732)

 -- Prach Pongpanich <prachpub@gmail.com>  Wed, 18 Dec 2013 00:01:45 +0700

ocamlrss (2.2.1-2) unstable; urgency=medium

  * Add d/patches/0001-Fix-FTBFS-on-bytecode-architectures.patch
    (Closes: #731732)
  * Bump Standards-Version to 3.9.5

 -- Prach Pongpanich <prachpub@gmail.com>  Mon, 16 Dec 2013 16:40:15 +0700

ocamlrss (2.2.1-1) unstable; urgency=low

  * New upstream release

 -- Prach Pongpanich <prachpub@gmail.com>  Wed, 12 Jun 2013 01:48:53 +0700

ocamlrss (2.2.0-1) unstable; urgency=low

  * Initial release (Closes: #678218)
  * Adopt an initial package from Sylvain Le Gal <gildor@debian.org>

 -- Prach Pongpanich <prachpub@gmail.com>  Thu, 21 Mar 2013 13:21:36 +0700

=== debian/watch ===
version=3
https://github.com/zoggy/ocamlrss/tags .*/release-(\d[\d\.]+)\.(?:zip|tar\.gz)

## ocamlrss 2.2.2

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 ###############################################################################
 
 # do not forget to update META file too
-VERSION=2.2.1
+VERSION=2.2.2
 
 # do not forget to update META file too
 PACKAGES=xmlm,netstring

=== debian/changelog ===
ocamlrss (2.2.2-3build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 22:04:45 +0100

ocamlrss (2.2.2-3build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Jan 2025 18:01:36 +0100

ocamlrss (2.2.2-3) unstable; urgency=medium

  * Team upload
  * Fix compilation with OCaml 5.2.0 (Closes: #1073902)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 10 Aug 2024 05:26:35 +0200

ocamlrss (2.2.2-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Bump Standards-Version to 4.6.2

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 12 Aug 2023 11:37:41 +0200

ocamlrss (2.2.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Vcs-* to point to salsa
  * Update Homepage and debian/watch
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Mon, 24 Aug 2020 04:17:28 +0200

=== debian/control ===
Source: ocamlrss
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
  Prach Pongpanich <prachpub@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 ocaml,
 ocaml-findlib,
 dh-ocaml,
 libxmlm-ocaml-dev,
 libocamlnet-ocaml-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Section: ocaml
Vcs-Git: https://salsa.debian.org/ocaml-team/ocamlrss.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocamlrss
Homepage: https://zoggy.github.io/ocamlrss

Package: librss-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: RSS 2.0 parser and printer for OCaml (runtime)
 OCaml-RSS is a small OCaml library providing functions to parse and print RSS
 2.0 files. The parser can also parse some RDF files, but some fields are not
 taken into account. There is still some work to do (add missing RSS 2.0
 attributes, add convenient functions).
 .
 OCaml-RSS was previously part of Cameleon but is now developed separately
 and is findlib compatible.

Package: librss-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: RSS 2.0 parser and printer for OCaml (development)
 This package is a small OCaml library providing functions to parse and print
 RSS 2.0 files. The parser can also parse some RDF files, but some fields are
 not taken into account. There is still some work to do (add missing RSS 2.0
 attributes, add convenient functions).
 .
 OCaml-RSS was previously part of Cameleon but is now developed separately
 and is findlib compatible.
 .
 This package contains all the development stuff you need to develop
 OCaml programs which use OCaml-RSS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/ocaml/ocamlvars.mk


DESTDIR := $(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)


export OCAMLFIND_DESTDIR=$(DESTDIR)
%:
	dh $@ --with ocaml

override_dh_auto_build:
	$(MAKE) byte doc
ifneq ($(OCAML_OPT_ARCH),)
	$(MAKE) opt
endif

override_dh_auto_install:
	mkdir -p $(DESTDIR)
	$(MAKE) install
	rm -f debian/tmp$(OCAML_STDLIB_DIR)/rss/LICENSE
